OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.SeparateShaderObjects

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTSeparateShaderObjects :: MonadIO m => m Bool
- gl_EXT_separate_shader_objects :: Bool
- gl_ACTIVE_PROGRAM_EXT :: GLenum
- glActiveProgramEXT :: MonadIO m => GLuint -> m ()
- glCreateShaderProgramEXT :: MonadIO m => GLenum -> Ptr GLchar -> m GLuint
- glUseShaderProgramEXT :: MonadIO m => GLenum -> GLuint -> m ()

# Extension Support

glGetEXTSeparateShaderObjects :: MonadIO m => m Bool

Is the EXT_separate_shader_objects extension supported?

gl_EXT_separate_shader_objects :: Bool

Is the EXT_separate_shader_objects extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTSeparateShaderObjects` in those cases instead.

# Enums

gl_ACTIVE_PROGRAM_EXT :: GLenum

# Functions

glActiveProgramEXT

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

glCreateShaderProgramEXT

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> Ptr GLchar | `string`.
-> m GLuint |

glUseShaderProgramEXT

Arguments

:: MonadIO m |
=> GLenum | `type`.
-> GLuint | `program`.
-> m () |